Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Class AbstractHoverInformationControlManager

    java.lang.Object
      org.eclipse.jface.text.AbstractInformationControlManager
          org.eclipse.jface.text.AbstractHoverInformationControlManager

Direct Known Subclasses:
  AnnotationBarHoverManager

public abstract class AbstractHoverInformationControlManager
extends AbstractInformationControlManager

An information control manager that shows information in response to mouse hover events. The mouse hover events are caught by registering a `MouseTrackListener` on the manager's subject control. The manager has by default an information control closer that closes the information control as soon as the mouse pointer leaves the subject area, the user presses a key, or the subject control is resized, moved, or deactivated.

When being activated by a mouse hover event, the manager disables itself, until the mouse leaves the subject area. Thus, the manager is usually still disabled, when the information control has already been closed by the closer.

Since:
  2.0
See Also:
  `MouseTrackListener`

Nested Class Summary

Nested classes inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`AbstractInformationControlManager.Anchor, AbstractInformationControlManager.IInformationControlCloser`

Field Summary

Fields inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`ANCHOR_BOTTOM, ANCHOR_GLOBAL, ANCHOR_LEFT, ANCHOR_RIGHT, ANCHOR_TOP, fDisposed, fInformationControl, fInformationControlCloser, fInformationControlCreator, STORE_LOCATION_X, STORE_LOCATION_Y, STORE_SIZE_HEIGHT, STORE_SIZE_WIDTH`

Constructor Summary
`protected` | `AbstractHoverInformationControlManager(IInformationControlCreator creator)` Creates a new hover information control manager using the given information control creator.

Method Summary
`void` | `dispose()` Disposes this manager's information control.
`protected MouseEvent` | `getHoverEvent()` Returns the most recent mouse hover event.
`protected Point` | `getHoverEventLocation()` Returns the location at which the most recent mouse hover event has been issued.
`protected int` | `getHoverEventStateMask()` Returns the SWT event state of the most recent mouse hover event.
`protected void` | `presentInformation()` Presents the information in the information control or hides the information control if no information should be presented.
`void` | `setEnabled(boolean enabled)` Sets the enable state of this manager.

Methods inherited from class org.eclipse.jface.text.AbstractInformationControlManager
`computeInformation, computeInformationControlLocation, computeLocation, computeSizeConstraints, computeSizeConstraints, disposeInformationControl, doShowInformation, getInformationControl, getNextFallbackAnchor, getSubjectArea, getSubjectControl, handleInformationControlDisposed, handleSubjectControlDisposed, hideInformationControl, install, isEnabled, restoreInformationControlBounds, setAnchor, setCloser, setCustomInformationControlCreator, setFallbackAnchors, setInformation, setInformation, setMargins, setRestoreInformationControlBounds, setSizeConstraints, showInformation, showInformationControl, storeInformationControlBounds, takesFocusWhenVisible, updateLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHoverInformationControlManager

    protected AbstractHoverInformationControlManager(IInformationControlCreator creator)

  Creates a new hover information control manager using the given information control creator. By default a `Closer` instance is set as this manager's closer.

Parameters:
  `creator` - the information control creator

Method Detail

### presentInformation

    protected void presentInformation()

  Description copied from class: `AbstractInformationControlManager`
  Presents the information in the information control or hides the information control if no information should be presented. The information has previously been set using `setInformation`.

  Overrides:
    `presentInformation` in class `AbstractInformationControlManager`

### setEnabled

    public void setEnabled(boolean enabled)

  Description copied from class: `AbstractInformationControlManager`
  Sets the enable state of this manager.

  Overrides:
    `setEnabled` in class `AbstractInformationControlManager`
  Parameters:
    `enabled` - the enable state

### dispose

    public void dispose()

  Disposes this manager's information control.

  Overrides:
    `dispose` in class `AbstractInformationControlManager`

### getHoverEventLocation

    protected Point getHoverEventLocation()

  Returns the location at which the most recent mouse hover event has been issued.

  Returns:
    the location of the most recent mouse hover event

### getHoverEvent

    protected MouseEvent getHoverEvent()

  Returns the most recent mouse hover event.

  Returns:
    the most recent mouse hover event or `null`
  Since:
    3.0

### getHoverEventStateMask

    protected int getHoverEventStateMask()

  Returns the SWT event state of the most recent mouse hover event.

  Returns:
    the SWT event state of the most recent mouse hover event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.